Schema "fpml-fx-5-3.xsd"
Target Namespace:

  http://www.fpml.org/FpML-5/reporting

Version:

  $Revision: 8563 $

Defined Components:

  5 global elements, 124 local elements, 33 complexTypes, 1 simpleType, 2 element groups

Default Namespace-Qualified Form:

  Local Elements: qualified; Local Attributes: unqualified

Schema Location:

  C:\Irina-Local\SVN-FpML\trunk\xml\reporting\fpml-fx-5-3.xsd; see XML source

Includes Schema:

  fpml-option-shared-5-3.xsd [src]

Included in Schema:

  fpml-main-5-3.xsd [src]

All Element Summary
americanExercise (in fxDigitalOption) | The parameters for defining the exercise period for an American style option.
Type: | FxDigitalAmericanExercise
Content: | complex, 1 attribute, 5 elements
Defined: | locally witnin FxDigitalOption complexType; see XML source
americanExercise (in fxOption) | The parameters for defining the exercise period for an American style option.
Type: | FxAmericanExercise
Content: | complex, 1 attribute, 6 elements
Defined: | locally witnin FxOption complexType; see XML source
asian (in features in fxOption) |
Type: | FxAsianFeature
Content: | complex, 8 elements
Defined: | locally witnin FxOptionFeatures complexType; see XML source
averageRateWeightingFactor | An optional factor that can be used for weighting certain observation dates.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin FxAverageRateObservation complexType; see XML source
barrier (in features in fxOption) |
Type: | FxBarrierFeature
Content: | complex, 6 elements
Defined: | locally witnin FxOptionFeatures complexType; see XML source
barrier (in features in fxOption) |
Type: | FxBarrierFeature
Content: | complex, 6 elements
Defined: | locally witnin FxOptionFeatures complexType; see XML source
barrierType | This specifies whether the option becomes effective ("knock-in") or is annulled ("knock-out") when the respective trigger event occurs.
Type: | FxBarrierTypeEnum
Content: | simple
Defined: | locally witnin FxBarrierFeature complexType; see XML source
calculationPeriodFrequency (in observationSchedule) | The frequency at which calculation period end dates occur with the regular part of the calculation period schedule and their roll date convention.
Type: | CalculationPeriodFrequency
Content: | complex, 1 attribute, 3 elements
Defined: | locally witnin FxAverageRateObservationSchedule complexType; see XML source
callCurrencyAmount | The currency amount that the option gives the right to buy.
Type: | NonNegativeMoney
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin FxOption complexType; see XML source
cashSettlement (in fxOption) | Specifies the currency and fixing details for cash settlement.
Type: | FxCashSettlement
Content: | complex, 2 elements
Defined: | locally witnin FxOption complexType; see XML source
commencementDate (defined in FxDigitalAmericanExercise complexType) | The earliest date on which the option can be exercised.
Type: | AdjustableOrRelativeDate
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin FxDigitalAmericanExercise complexType; see XML source
crossRate | An optional element that allow for definition of the currency exchange rates used to cross between the traded currencies for non-base currency FX contracts.
Type: | CrossRate
Content: | complex, 6 elements
Defined: | locally witnin ExchangeRate complexType; see XML source
currency (in dualCurrency) | The currency in which the principal and interest will be repaid.
Type: | Currency
Content: | simple, 1 attribute
Defined: | locally witnin DualCurrencyFeature complexType; see XML source
currency1ValueDate | The date on which the currency1 amount will be settled.
Type: | xsd:date
Content: | simple
Defined: | locally witnin FxCoreDetails.model group; see XML source
currency2ValueDate | The date on which the currency2 amount will be settled.
Type: | xsd:date
Content: | simple
Defined: | locally witnin FxCoreDetails.model group; see XML source
cutName (defined in FxDigitalAmericanExercise complexType) | The code by which the expiry time is known in the market.
Type: | CutName
Content: | simple, 1 attribute
Defined: | locally witnin FxDigitalAmericanExercise complexType; see XML source
cutName (defined in FxEuropeanExercise complexType) | The code by which the expiry time is known in the market.
Type: | CutName
Content: | simple, 1 attribute
Defined: | locally witnin FxEuropeanExercise complexType; see XML source
date (in rateObservation in asian in features in fxOption) | A specific date for which an observation against a particular rate will be made and will be used for subsequent computations.
Type: | xsd:date
Content: | simple
Defined: | locally witnin FxAverageRateObservation complexType; see XML source
dayCountFraction (in termDeposit) | The day count fraction.
Type: | DayCountFraction
Content: | simple, 1 attribute
Defined: | locally witnin TermDeposit complexType; see XML source
dealtCurrency | Indicates which currency was dealt.
Type: | DealtCurrencyEnum
Content: | simple
Defined: | locally witnin FxCoreDetails.model group; see XML source
dualCurrency |
Type: | DualCurrencyFeature
Content: | complex, 6 elements
Defined: | locally witnin TermDepositFeatures complexType; see XML source
effectiveDate (in fxDigitalOption) | Effective date for a forward starting derivative.
Type: | AdjustableOrRelativeDate
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin FxDigitalOption complexType; see XML source
effectiveDate (in fxOption) | Effective date for a forward starting derivative.
Type: | AdjustableOrRelativeDate
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin FxOption complexType; see XML source
endDate (defined in ObservationSchedule complexType) | The end of the period over which observations are made to determine whether a condition has occurred.
Type: | xsd:date
Content: | simple
Defined: | locally witnin ObservationSchedule complexType; see XML source
endDate (in observationSchedule) | The end of the period over which observations are made to determine whether a trigger event has occurred.
Type: | xsd:date
Content: | simple
Defined: | locally witnin FxAverageRateObservationSchedule complexType; see XML source
europeanExercise (in fxDigitalOption) | The parameters for defining the exercise period for an European style option.
Type: | FxEuropeanExercise
Content: | complex, 1 attribute, 4 elements
Defined: | locally witnin FxDigitalOption complexType; see XML source
europeanExercise (in fxOption) | The parameters for defining the exercise period for an European style option.
Type: | FxEuropeanExercise
Content: | complex, 1 attribute, 4 elements
Defined: | locally witnin FxOption complexType; see XML source
exchangedCurrency1 | This is the first of the two currency flows that define a single leg of a standard foreign exchange transaction.
Type: | Payment
Content: | complex, 2 attributes, 10 elements
Defined: | locally witnin FxCoreDetails.model group; see XML source
exchangedCurrency2 | This is the second of the two currency flows that define a single leg of a standard foreign exchange transaction.
Type: | Payment
Content: | complex, 2 attributes, 10 elements
Defined: | locally witnin FxCoreDetails.model group; see XML source
exchangeRate | The rate of exchange between the two currencies.
Type: | ExchangeRate
Content: | complex, 6 elements
Defined: | locally witnin FxCoreDetails.model group; see XML source
exclusive |
Type: | xsd:anyType
Content: | any
Defined: | locally witnin FxBoundary complexType; see XML source
exerciseProcedure (in fxDigitalOption) | A set of parameters defining procedures associated with the exercise.
Type: | ExerciseProcedure
Content: | complex, 5 elements
Defined: | locally witnin FxDigitalOption complexType; see XML source
exerciseProcedure (in fxOption) | A set of parameters defining procedures associated with the exercise.
Type: | ExerciseProcedure
Content: | complex, 5 elements
Defined: | locally witnin FxOption complexType; see XML source
expiryDate (defined in FxDigitalAmericanExercise complexType) | The latest date on which the option can be exercised.
Type: | xsd:date
Content: | simple
Defined: | locally witnin FxDigitalAmericanExercise complexType; see XML source
expiryDate (defined in FxEuropeanExercise complexType) | Represents a standard expiry date as defined for an FX OTC option.
Type: | xsd:date
Content: | simple
Defined: | locally witnin FxEuropeanExercise complexType; see XML source
expiryTime (defined in FxDigitalAmericanExercise complexType) | Time at which the option expires on the expiry date.
Type: | BusinessCenterTime
Content: | complex, 2 elements
Defined: | locally witnin FxDigitalAmericanExercise complexType; see XML source
expiryTime (defined in FxEuropeanExercise complexType) | Time at which the option expires on the expiry date.
Type: | BusinessCenterTime
Content: | complex, 2 elements
Defined: | locally witnin FxEuropeanExercise complexType; see XML source
farLeg | The FX transaction with the latest value date.
Type: | FxSwapLeg
Content: | complex, 1 attribute, 9 elements
Defined: | locally witnin FxSwap complexType; see XML source
features (in fxOption) | Describes additional features within the option.
Type: | FxOptionFeatures
Content: | complex, 3 elements
Defined: | locally witnin FxOption complexType; see XML source
features (in termDeposit) | An optional container that hold additional features of the deposit (e.g.
Type: | TermDepositFeatures
Content: | complex, 1 element
Defined: | locally witnin TermDeposit complexType; see XML source
fixedRate (in termDeposit) | The calculation period fixed rate.
Type: | PositiveDecimal
Content: | simple
Defined: | locally witnin TermDeposit complexType; see XML source
fixingDate (in dualCurrency) | The date on which the decion on delivery currency will be made.
Type: | xsd:date
Content: | simple
Defined: | locally witnin DualCurrencyFeature complexType; see XML source
fixingTime (in asian in features in fxOption) | The time at which the spot currency exchange rate will be observed.
Type: | BusinessCenterTime
Content: | complex, 2 elements
Defined: | locally witnin FxAsianFeature complexType; see XML source
fixingTime (in dualCurrency) | Time at which the option expires on the expiry date.
Type: | BusinessCenterTime
Content: | complex, 2 elements
Defined: | locally witnin DualCurrencyFeature complexType; see XML source
forwardPoints (in crossRate) | An optional element used for deals consumated in the FX Forwards market.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin CrossRate complexType; see XML source
forwardPoints (in exchangeRate) | An optional element used for deals consumated in the FX Forwards market.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin ExchangeRate complexType; see XML source
fxDigitalOption | An FX digital option transaction definition.
Type: | FxDigitalOption
Content: | complex, 1 attribute, 15 elements
Subst.Gr: | may substitute for element product
Defined: | globally; see XML source
Used: | never
fxOption | An FX option transaction definition.
Type: | FxOption
Content: | complex, 1 attribute, 19 elements
Subst.Gr: | may substitute for element product
Defined: | globally; see XML source
Used: | never
fxSingleLeg | A simple FX spot or forward transaction definition.
Type: | FxSingleLeg
Content: | complex, 1 attribute, 12 elements
Subst.Gr: | may substitute for element product
Defined: | globally; see XML source
Used: | never
fxSwap | An FX Swap transaction definition.
Type: | FxSwap
Content: | complex, 1 attribute, 5 elements
Subst.Gr: | may substitute for element product
Defined: | globally; see XML source
Used: | never
fxTenorPeriod | A time period, e.g.
Type: | FxTenorPeriodEnum
Content: | simple
Defined: | locally witnin TenorPeriod complexType; see XML source
inclusive |
Type: | xsd:anyType
Content: | any
Defined: | locally witnin FxBoundary complexType; see XML source
informationSource (defined in FxBarrierFeature complexType) | The information source where a published or displayed market rate will be obtained, e.g.
Type: | InformationSource
Content: | complex, 3 elements
Defined: | locally witnin FxBarrierFeature complexType; see XML source
informationSource (in touch) | The information source where a published or displayed market rate will be obtained, e.g.
Type: | InformationSource
Content: | complex, 3 elements
Defined: | locally witnin FxTouch complexType; see XML source
informationSource (in trigger in fxDigitalOption) | The information source where a published or displayed market rate will be obtained, e.g.
Type: | InformationSource
Content: | complex, 3 elements
Defined: | locally witnin FxTrigger complexType; see XML source
interest (in termDeposit) | The total interest of at maturity of the trade.
Type: | Money
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin TermDeposit complexType; see XML source
interestAtRisk | Specifies whether the interest component of the redemption amount is subject to conversion to the Alternate currency, in the event that the spot rate is strictly lower than the strike level at the specified fixing date and time.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin DualCurrencyFeature complexType; see XML source
latestValueDate | The latest date on which both currencies traded will settle.
Type: | xsd:date
Content: | simple
Defined: | locally witnin FxDigitalAmericanExercise complexType; see XML source
maturityDate | The end date of the calculation period.
Type: | xsd:date
Content: | simple
Defined: | locally witnin TermDeposit complexType; see XML source
maximumExclusive |
Type: | PositiveDecimal
Content: | simple
Defined: | locally witnin UpperBound complexType; see XML source
maximumInclusive |
Type: | PositiveDecimal
Content: | simple
Defined: | locally witnin UpperBound complexType; see XML source
maximumNotionalAmount (in multipleExercise in americanExercise in fxOption) | The maximum amount of notiional that can be exercised.
Type: | NonNegativeMoney
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin FxMultipleExercise complexType; see XML source
minimumExclusive |
Type: | PositiveDecimal
Content: | simple
Defined: | locally witnin LowerBound complexType; see XML source
minimumInclusive |
Type: | PositiveDecimal
Content: | simple
Defined: | locally witnin LowerBound complexType; see XML source
minimumNotionalAmount (in multipleExercise in americanExercise in fxOption) | The minimum amount of notional that can be exercised.
Type: | NonNegativeMoney
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin FxMultipleExercise complexType; see XML source
multipleExercise (in americanExercise in fxOption) | Characteristics for multiple exercise.
Type: | FxMultipleExercise
Content: | complex, 2 elements
Defined: | locally witnin FxAmericanExercise complexType; see XML source
nearLeg | The FX transaction with the earliest value date.
Type: | FxSwapLeg
Content: | complex, 1 attribute, 9 elements
Defined: | locally witnin FxSwap complexType; see XML source
nonDeliverableSettlement (defined in FxCoreDetails.model group) | Used to describe a particular type of FX forward transaction that is settled in a single currency (for example, a non-deliverable forward).
Type: | FxCashSettlement
Content: | complex, 2 elements
Defined: | locally witnin FxCoreDetails.model group; see XML source
observationEndDate (defined in FxBarrierFeature complexType) | The end of the period over which observations are made to determine whether a trigger event has occurred.
Type: | xsd:date
Content: | simple
Defined: | locally witnin FxBarrierFeature complexType; see XML source
observationEndDate (in touch) | The end of the period over which observations are made to determine whether a trigger event has occurred.
Type: | xsd:date
Content: | simple
Defined: | locally witnin FxTouch complexType; see XML source
observationPeriodFrequency | Describes how often observations are made.
Type: | Frequency
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin ObservationSchedule complexType; see XML source
observationSchedule | Parametric schedule of rate observations.
Type: | FxAverageRateObservationSchedule
Content: | complex, 3 elements
Defined: | locally witnin FxAsianFeature complexType; see XML source
observationStartDate (defined in FxBarrierFeature complexType) | The start of the period over which observations are made to determine whether a trigger has occurred.
Type: | xsd:date
Content: | simple
Defined: | locally witnin FxBarrierFeature complexType; see XML source
observationStartDate (in touch) | The start of the period over which observations are made to determine whether a trigger has occurred.
Type: | xsd:date
Content: | simple
Defined: | locally witnin FxTouch complexType; see XML source
payment (in termDeposit) | A known payment between two parties.
Type: | Payment
Content: | complex, 2 attributes, 10 elements
Defined: | locally witnin TermDeposit complexType; see XML source
payout | The amount of currency which becomes payable if and when a trigger event occurs.
Type: | FxOptionPayout
Content: | complex, 1 attribute, 4 elements
Defined: | locally witnin FxDigitalOption complexType; see XML source
payoutFormula | The description of the mathematical computation for how the payout is computed.
Type: | xsd:string
Content: | simple
Defined: | locally witnin FxAsianFeature complexType; see XML source
payoutStyle | The trigger event and payout may be asynchonous.
Type: | PayoutEnum
Content: | simple
Defined: | locally witnin FxOptionPayout complexType; see XML source
period (in tenorPeriod) | A time period, e.g.
Type: | PeriodEnum
Content: | simple
Defined: | locally witnin TenorPeriod complexType; see XML source
periodMultiplier (in tenorPeriod) | A time period multiplier, e.g. 1, 2 or 3 etc.
Type: | xsd:nonNegativeInteger
Content: | simple
Defined: | locally witnin TenorPeriod complexType; see XML source
pointValue | An optional element that documents the size of point (pip) in which a rate was quoted (or in this case, forwardPoints are calculated).
Type: | PointValue
Content: | simple
Defined: | locally witnin ExchangeRate complexType; see XML source
precision (in asian in features in fxOption) | Specifies the rounding precision in terms of a number of decimal places.
Type: | xsd:nonNegativeInteger
Content: | simple
Defined: | locally witnin FxAsianFeature complexType; see XML source
premium (in fxDigitalOption) | Premium amount or premium installment amount for an option.
Type: | FxOptionPremium
Content: | complex, 1 attribute, 8 elements
Defined: | locally witnin FxDigitalOption complexType; see XML source
premium (in fxOption) | Premium amount or premium installment amount for an option.
Type: | FxOptionPremium
Content: | complex, 1 attribute, 8 elements
Defined: | locally witnin FxOption complexType; see XML source
primaryRateSource (in asian in features in fxOption) | The primary source for where the rate observation will occur.
Type: | InformationSource
Content: | complex, 3 elements
Defined: | locally witnin FxAsianFeature complexType; see XML source
principal (in termDeposit) | The principal amount of the trade.
Type: | PositiveMoney
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin TermDeposit complexType; see XML source
putCurrencyAmount | The currency amount that the option gives the right to sell.
Type: | NonNegativeMoney
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin FxOption complexType; see XML source
quote (defined in FxOptionPremium complexType) | This is the option premium as quoted.
Type: | PremiumQuote
Content: | complex, 2 elements
Defined: | locally witnin FxOptionPremium complexType; see XML source
quoteBasis (in quote defined in FxOptionPremium complexType) | The method by which the option premium was quoted.
Type: | PremiumQuoteBasisEnum
Content: | simple
Defined: | locally witnin PremiumQuote complexType; see XML source
quotedCurrencyPair (defined in FxBarrierFeature complexType) | Defines the two currencies for an FX trade and the quotation relationship between the two currencies.
Type: | QuotedCurrencyPair
Content: | complex, 3 elements
Defined: | locally witnin FxBarrierFeature complexType; see XML source
quotedCurrencyPair (in exchangeRate) | Defines the two currencies for an FX trade and the quotation relationship between the two currencies.
Type: | QuotedCurrencyPair
Content: | complex, 3 elements
Defined: | locally witnin ExchangeRate complexType; see XML source
quotedCurrencyPair (in touch) | Defines the two currencies for an FX trade and the quotation relationship between the two currencies.
Type: | QuotedCurrencyPair
Content: | complex, 3 elements
Defined: | locally witnin FxTouch complexType; see XML source
quotedCurrencyPair (in trigger in fxDigitalOption) | Defines the two currencies for an FX trade and the quotation relationship between the two currencies.
Type: | QuotedCurrencyPair
Content: | complex, 3 elements
Defined: | locally witnin FxTrigger complexType; see XML source
rate (in crossRate) | The exchange rate used to cross between the traded currencies.
Type: | PositiveDecimal
Content: | simple
Defined: | locally witnin CrossRate complexType; see XML source
rate (in exchangeRate) | The rate of exchange between the two currencies of the leg of a deal.
Type: | PositiveDecimal
Content: | simple
Defined: | locally witnin ExchangeRate complexType; see XML source
rate (in rateObservation in asian in features in fxOption) | The observed rate of exchange between the two option currencies.
Type: | NonNegativeDecimal
Content: | simple
Defined: | locally witnin FxAverageRateObservation complexType; see XML source
rate (in strike in dualCurrency) | The rate of exchange between the two currencies of the leg of a deal.
Type: | PositiveDecimal
Content: | simple
Defined: | locally witnin DualCurrencyStrikePrice complexType; see XML source
rate (in strike in fxOption) | The rate of exchange between the two currencies of the leg of a deal.
Type: | PositiveDecimal
Content: | simple
Defined: | locally witnin FxStrikePrice complexType; see XML source
rateObservation (in asian in features in fxOption) | One or more specific rate observation dates.
Type: | FxAverageRateObservation
Content: | complex, 3 elements
Defined: | locally witnin FxRateObservation.model group; see XML source
rateObservationQuoteBasis | The method by which observed rate values are quoted, in terms of the option put/call currencies.
Type: | StrikeQuoteBasisEnum
Content: | simple
Defined: | locally witnin FxRateObservation.model group; see XML source
secondaryRateSource (in asian in features in fxOption) | An alternative, or secondary, source for where the rate observation will occur.
Type: | InformationSource
Content: | complex, 3 elements
Defined: | locally witnin FxAsianFeature complexType; see XML source
settlementInformation (defined in FxOptionPremium complexType) | The information required to settle a currency payment that results from a trade.
Type: | SettlementInformation
Content: | complex, 2 elements
Defined: | locally witnin FxOptionPremium complexType; see XML source
settlementInformation (in payout) | The information required to settle a currency payment that results from a trade.
Type: | SettlementInformation
Content: | complex, 2 elements
Defined: | locally witnin FxOptionPayout complexType; see XML source
soldAs | Indicates how the product was original sold as a Put or a Call.
Type: | PutCallEnum
Content: | simple
Defined: | locally witnin FxOption complexType; see XML source
spotRate (in crossRate) | An optional element used for FX forwards and certain types of FX OTC options.
Type: | PositiveDecimal
Content: | simple
Defined: | locally witnin CrossRate complexType; see XML source
spotRate (in dualCurrency) | The spot rate at the time the trade was agreed.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin DualCurrencyFeature complexType; see XML source
spotRate (in exchangeRate) | An element used for FX forwards and certain types of FX OTC options.
Type: | PositiveDecimal
Content: | simple
Defined: | locally witnin ExchangeRate complexType; see XML source
spotRate (in fxOption) | An optional element used for FX forwards and certain types of FX OTC options.
Type: | PositiveDecimal
Content: | simple
Defined: | locally witnin FxOption complexType; see XML source
spotRate (in touch) | An optional element used for FX forwards and certain types of FX OTC options.
Type: | PositiveDecimal
Content: | simple
Defined: | locally witnin FxTouch complexType; see XML source
spotRate (in trigger in fxDigitalOption) | An optional element used for FX forwards and certain types of FX OTC options.
Type: | PositiveDecimal
Content: | simple
Defined: | locally witnin FxTrigger complexType; see XML source
startDate (defined in ObservationSchedule complexType) | The start of the period over which observations are made to determine whether a condition has occurred.
Type: | xsd:date
Content: | simple
Defined: | locally witnin ObservationSchedule complexType; see XML source
startDate (in observationSchedule) | The start of the period over which observations are made to determine whether a trigger has occurred.
Type: | xsd:date
Content: | simple
Defined: | locally witnin FxAverageRateObservationSchedule complexType; see XML source
startDate (in termDeposit) | The start date of the calculation period.
Type: | xsd:date
Content: | simple
Defined: | locally witnin TermDeposit complexType; see XML source
strike (in dualCurrency) | The strike rate at which the deposit will be converted.
Type: | DualCurrencyStrikePrice
Content: | complex, 2 elements
Defined: | locally witnin DualCurrencyFeature complexType; see XML source
strike (in fxOption) | Defines the option strike price.
Type: | FxStrikePrice
Content: | complex, 2 elements
Defined: | locally witnin FxOption complexType; see XML source
strikeQuoteBasis (in strike in dualCurrency) | The method by which the strike rate is quoted, in terms of the deposit (principal) and alternate currencies.
Type: | DualCurrencyStrikeQuoteBasisEnum
Content: | simple
Defined: | locally witnin DualCurrencyStrikePrice complexType; see XML source
strikeQuoteBasis (in strike in fxOption) | The method by which the strike rate is quoted.
Type: | StrikeQuoteBasisEnum
Content: | simple
Defined: | locally witnin FxStrikePrice complexType; see XML source
tenorPeriod | Denotes the tenor on which both currencies traded will settle.
Type: | TenorPeriod
Content: | complex, 1 attribute, 3 elements
Defined: | locally witnin FxCoreDetails.model group; see XML source
termDeposit | A term deposit product definition.
Type: | TermDeposit
Content: | complex, 1 attribute, 15 elements
Subst.Gr: | may substitute for element product
Defined: | globally; see XML source
Used: | never
touch | Defines one or more conditions underwhich the option will payout if exercisable.
Type: | FxTouch
Content: | complex, 7 elements
Defined: | locally witnin FxDigitalOption complexType; see XML source
touchCondition | The binary condition that applies to an American-style trigger.
Type: | TouchConditionEnum
Content: | simple
Defined: | locally witnin FxTouch complexType; see XML source
trigger (in fxDigitalOption) | Defines one or more conditions underwhich the option will payout if exercisable.
Type: | FxTrigger
Content: | complex, 5 elements
Defined: | locally witnin FxDigitalOption complexType; see XML source
triggerCondition | The condition that applies to a European-style trigger.
Type: | TriggerConditionEnum
Content: | simple
Defined: | locally witnin FxTrigger complexType; see XML source
triggerRate (defined in FxBarrierFeature complexType) | The market rate is observed relative to the trigger rate, and if it is found to be on the predefined side of (above or below) the trigger rate, a trigger event is deemed to have occurred.
Type: | PositiveDecimal
Content: | simple
Defined: | locally witnin FxBarrierFeature complexType; see XML source
triggerRate (in touch) | The market rate is observed relative to the trigger rate, and if it is found to be on the predefined side of (above or below) the trigger rate, a trigger event is deemed to have occurred.
Type: | PositiveDecimal
Content: | simple
Defined: | locally witnin FxTouch complexType; see XML source
triggerRate (in trigger in fxDigitalOption) | The market rate is observed relative to the trigger rate, and if it is found to be on the predefined side of (above or below) the trigger rate, a trigger event is deemed to have occurred.
Type: | PositiveDecimal
Content: | simple
Defined: | locally witnin FxTrigger complexType; see XML source
value (in quote defined in FxOptionPremium complexType) | The value of the premium quote.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin PremiumQuote complexType; see XML source
valueDate (defined in FxCoreDetails.model group) | The date on which both currencies traded will settle.
Type: | xsd:date
Content: | simple
Defined: | locally witnin FxCoreDetails.model group; see XML source
valueDate (defined in FxEuropeanExercise complexType) | The date on which both currencies traded will settle.
Type: | xsd:date
Content: | simple
Defined: | locally witnin FxEuropeanExercise complexType; see XML source

Complex Type Summary
CrossRate | A type that is used for including the currency exchange rates used to cross between the traded currencies for non-base currency FX contracts.
Content: | complex, 6 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
CutName | Allows for an expiryDateTime cut to be described by name.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 2 locations
DualCurrencyFeature | Describes the parameters for a dual currency deposit.
Content: | complex, 6 elements
Defined: | globally; see XML source
Includes: | definitions of 6 elements
Used: | at 1 location
DualCurrencyStrikePrice | A type that describes the rate of exchange at which the embedded option in a Dual Currency Deposit has been struck.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
ExchangeRate | A type that is used for describing the exchange rate for a particular transaction.
Content: | complex, 6 elements
Defined: | globally; see XML source
Includes: | definitions of 6 elements
Used: | at 1 location
FxAmericanExercise | Describes the characteristics for american exercise of FX products.
Content: | complex, 1 attribute, 6 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
FxAsianFeature | Descibes the averaging period properties for an asian option.
Content: | complex, 8 elements
Defined: | globally; see XML source
Includes: | definitions of 6 elements
Used: | at 1 location
FxAverageRateObservation | A type that, for average rate options, is used to describe each specific observation date, as opposed to a parametric frequency of rate observations.
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
FxAverageRateObservationSchedule | A type that describes average rate options rate observations.
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
FxBarrierFeature | Describes the properties of an Fx barrier.
Content: | complex, 6 elements
Defined: | globally; see XML source
Includes: | definitions of 6 elements
Used: | at 2 locations
FxBoundary | Describes a precise boundary value.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | never
FxDigitalAmericanExercise | Descrines the characteristics for American exercise in FX digital options.
Content: | complex, 1 attribute, 5 elements
Defined: | globally; see XML source
Includes: | definitions of 5 elements
Used: | at 2 locations
FxDigitalOption | Describes an option having a triggerable fixed payout.
Content: | complex, 1 attribute, 15 elements
Defined: | globally; see XML source
Includes: | definitions of 8 elements
Used: | at 1 location
FxEuropeanExercise | Describes the characteristics for European exercise of FX products.
Content: | complex, 1 attribute, 4 elements
Defined: | globally; see XML source
Includes: | definitions of 4 elements
Used: | at 2 locations
FxMultipleExercise | Describes the limits on the size of notional when multiple exercise is allowed.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
FxOption | Describes an FX option with optional asian and barrier features.
Content: | complex, 1 attribute, 19 elements
Defined: | globally; see XML source
Includes: | definitions of 12 elements
Used: | at 1 location
FxOptionFeatures | A type describing the features that may be present in an FX option.
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
FxOptionPayout | A type that contains full details of a predefined fixed payout which may occur (or not) in a Barrier Option or Digital Option when a trigger event occurs (or not).
Content: | complex, 1 attribute, 4 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
FxOptionPremium | A type that specifies the premium exchanged for a single option trade or option strategy.
Content: | complex, 1 attribute, 8 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 2 locations
FxSingleLeg | A type defining either a spot or forward FX transactions.
Content: | complex, 1 attribute, 12 elements
Defined: | globally; see XML source
Used: | at 1 location
FxStrikePrice | A type that describes the rate of exchange at which the option has been struck.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
FxSwap | A type defining either a spot/forward or forward/forward FX swap transaction.
Content: | complex, 1 attribute, 5 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
FxSwapLeg |
Content: | complex, 1 attribute, 9 elements
Defined: | globally; see XML source
Used: | at 2 locations
FxTouch | Describes an FX touch condition.
Content: | complex, 7 elements
Defined: | globally; see XML source
Includes: | definitions of 7 elements
Used: | at 1 location
FxTrigger | Describes an FX trigger condition.
Content: | complex, 5 elements
Defined: | globally; see XML source
Includes: | definitions of 5 elements
Used: | at 1 location
LowerBound |
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | never
MoneyReference | References a Money instance.
Content: | empty, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | never
ObservationSchedule |
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | never
PremiumQuote | A type that describes the option premium as quoted.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
TenorPeriod | A type defining a tenor Period, e.g. one day, three months, Spot.
Content: | complex, 1 attribute, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 3 elements
Used: | at 1 location
TermDeposit | A class defining the content model for a term deposit product.
Content: | complex, 1 attribute, 15 elements
Defined: | globally; see XML source
Includes: | definitions of 8 elements
Used: | at 1 location
TermDepositFeatures |
Content: | complex, 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
UpperBound |
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | never

Simple Type Summary
PointValue | Constrains the forward point tick/pip factor to 1, 0.1, 0.01, 0.001, etc.
Defined: | globally; see XML source
Used: | at 1 location

Element Group Summary
FxCoreDetails.model | The elements common to FX spot, forward and swap legs.
Content: | 9 elements
Defined: | globally; see XML source
Includes: | definitions of 9 elements
Used: | at 2 locations
FxRateObservation.model | The elements common to FX rate observation.
Content: | 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

XML Source

<?xml version="1.0" encoding="utf-8"?> <!-- == Copyright (c) 2002-2011 All rights reserved. == Financial Products Markup Language is subject to the FpML public license. == A copy of this license is available at http://www.fpml.org/license/license.html --> <xsd:schema attributeFormDefault="unqualified" ecore:documentRoot="FpML" ecore:nsPrefix="rpt" ecore:package="org.fpml.reporting" elementFormDefault="qualified" targetNamespace="http://www.fpml.org/FpML-5/reporting" version="$Revision: 8563 $" xmlns="http://www.fpml.org/FpML-5/reporting" xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" xmlns:fpml-annotation="http://www.fpml.org/annotation" xmlns:view="http://www.fpml.org/views" xmlns:xsd="http://www.w3.org/2001/XMLSchema"> <xsd:include schemaLocation="fpml-option-shared-5-3.xsd"/> <xsd:simpleType name="PointValue"> <xsd:annotation> <xsd:documentation> Constrains the forward point tick/pip factor to 1, 0.1, 0.01, 0.001, etc. </xsd:documentation> </xsd:annotation> <xsd:restriction base="xsd:decimal"> <xsd:pattern value="1"/> <xsd:pattern value="0.0*1"/> </xsd:restriction> </xsd:simpleType> <xsd:complexType name="CutName"> <xsd:annotation> <xsd:documentation xml:lang="en"> Allows for an expiryDateTime cut to be described by name. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/cut-name" name="cutNameScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="CrossRate"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type that is used for including the currency exchange rates used to cross between the traded currencies for non-base currency FX contracts. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="QuotedCurrencyPair"> <xsd:sequence> <xsd:element minOccurs="0" name="rate" type="PositiveDecimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The exchange rate used to cross between the traded currencies. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:sequence minOccurs="0"> <xsd:element minOccurs="0" name="spotRate" type="PositiveDecimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> An optional element used for FX forwards and certain types of FX OTC options. For deals consumated in the FX Forwards Market, this represents the current market rate for a particular currency pair. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="forwardPoints" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> An optional element used for deals consumated in the FX Forwards market. Forward points represent the interest rate differential between the two currencies traded and are quoted as a preminum or a discount. Forward points are added to, or subtracted from, the spot rate to create the rate of the forward trade. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="DualCurrencyFeature"> <xsd:annotation> <xsd:documentation> Describes the parameters for a dual currency deposit. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="currency" type="Currency"> <xsd:annotation> <xsd:documentation> The currency in which the principal and interest will be repaid. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="fixingDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> The date on which the decion on delivery currency will be made. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="fixingTime" type="BusinessCenterTime"> <xsd:annotation> <xsd:documentation xml:lang="en"> Time at which the option expires on the expiry date. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="strike" type="DualCurrencyStrikePrice"> <xsd:annotation> <xsd:documentation> The strike rate at which the deposit will be converted. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="spotRate" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en">The spot rate at the time the trade was agreed.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="interestAtRisk" type="xsd:boolean"> <xsd:annotation> <xsd:documentation> Specifies whether the interest component of the redemption amount is subject to conversion to the Alternate currency, in the event that the spot rate is strictly lower than the strike level at the specified fixing date and time. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="DualCurrencyStrikePrice"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type that describes the rate of exchange at which the embedded option in a Dual Currency Deposit has been struck. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="rate" type="PositiveDecimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The rate of exchange between the two currencies of the leg of a deal. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="strikeQuoteBasis" type="DualCurrencyStrikeQuoteBasisEnum"> <xsd:annotation> <xsd:documentation xml:lang="en"> The method by which the strike rate is quoted, in terms of the deposit (principal) and alternate currencies. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="ExchangeRate"> <xsd:annotation> <xsd:documentation> A type that is used for describing the exchange rate for a particular transaction. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="quotedCurrencyPair" type="QuotedCurrencyPair"> <xsd:annotation> <xsd:documentation xml:lang="en"> Defines the two currencies for an FX trade and the quotation relationship between the two currencies. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="rate" type="PositiveDecimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The rate of exchange between the two currencies of the leg of a deal. Must be specified with a quote basis. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:sequence minOccurs="0"> <xsd:element minOccurs="0" name="spotRate" type="PositiveDecimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> An element used for FX forwards and certain types of FX OTC options. For deals consumated in the FX Forwards Market, this represents the current market rate for a particular currency pair. For barrier and digital/binary options, it can be useful to include the spot rate at the time the option was executed to make it easier to know whether the option needs to move "up" or "down" to be triggered. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:sequence minOccurs="0"> <xsd:element minOccurs="0" name="forwardPoints" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> An optional element used for deals consumated in the FX Forwards market. Forward points represent the interest rate differential between the two currencies traded and are quoted as a preminum or a discount. Forward points are added to, or subtracted from, the spot rate to create the rate of the forward trade. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="pointValue" type="PointValue"> <xsd:annotation> <xsd:documentation xml:lang="en"> An optional element that documents the size of point (pip) in which a rate was quoted (or in this case, forwardPoints are calculated). Point (pip) size varies by currency pair: major currencies are all traded in points of 0.0001, with the exception of JPY which has a point size of 0.01. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="crossRate" type="CrossRate"> <xsd:annotation> <xsd:documentation xml:lang="en"> An optional element that allow for definition of the currency exchange rates used to cross between the traded currencies for non-base currency FX contracts. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="FxAmericanExercise"> <xsd:annotation> <xsd:documentation> Describes the characteristics for american exercise of FX products. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="FxDigitalAmericanExercise"> <xsd:sequence> <xsd:element minOccurs="0" name="multipleExercise" type="FxMultipleExercise"> <xsd:annotation> <xsd:documentation>Characteristics for multiple exercise.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="FxAsianFeature"> <xsd:annotation> <xsd:documentation> Descibes the averaging period properties for an asian option. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="primaryRateSource" type="InformationSource"> <xsd:annotation> <xsd:documentation xml:lang="en"> The primary source for where the rate observation will occur. Will typically be either a page or a reference bank published rate. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="secondaryRateSource" type="InformationSource"> <xsd:annotation> <xsd:documentation xml:lang="en"> An alternative, or secondary, source for where the rate observation will occur. Will typically be either a page or a reference bank published rate. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="fixingTime" type="BusinessCenterTime"> <xsd:annotation> <xsd:documentation xml:lang="en"> The time at which the spot currency exchange rate will be observed. It is specified as a time in a business day calendar location, e.g. 11:00am London time. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:choice> <xsd:sequence> <xsd:element minOccurs="0" name="observationSchedule" type="FxAverageRateObservationSchedule"> <xsd:annotation> <xsd:documentation xml:lang="en">Parametric schedule of rate observations.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group minOccurs="0" ref="FxRateObservation.model"/> </xsd:sequence> </xsd:choice> <xsd:element minOccurs="0" name="payoutFormula" type="xsd:string"> <xsd:annotation> <xsd:documentation xml:lang="en"> The description of the mathematical computation for how the payout is computed. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="precision" type="xsd:nonNegativeInteger"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the rounding precision in terms of a number of decimal places. Note how a percentage rate rounding of 5 decimal places is expressed as a rounding precision of 7 in the FpML document since the percentage is expressed as a decimal, e.g. 9.876543% (or 0.09876543) being rounded to the nearest 5 decimal places is 9.87654% (or 0.0987654). </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="FxAverageRateObservation"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type that, for average rate options, is used to describe each specific observation date, as opposed to a parametric frequency of rate observations. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="date" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> A specific date for which an observation against a particular rate will be made and will be used for subsequent computations. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="averageRateWeightingFactor" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> An optional factor that can be used for weighting certain observation dates. Typically, firms will weight each date with a factor of 1 if there are standard, unweighted adjustments. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="rate" type="NonNegativeDecimal"> <xsd:annotation> <xsd:documentation> The observed rate of exchange between the two option currencies. In the absence of rateObservationQuoteBasis, the rate is assumed to be quoted as per option strike/strikeQuoteBasis. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="FxAverageRateObservationSchedule"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type that describes average rate options rate observations. This is used to describe a parametric frequency of rate observations against a particular rate. Typical frequencies might include daily, every Friday, etc. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="startDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> The start of the period over which observations are made to determine whether a trigger has occurred. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="endDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> The end of the period over which observations are made to determine whether a trigger event has occurred. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="calculationPeriodFrequency" type="CalculationPeriodFrequency"> <xsd:annotation> <xsd:documentation xml:lang="en"> The frequency at which calculation period end dates occur with the regular part of the calculation period schedule and their roll date convention. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="FxBarrierFeature"> <xsd:annotation> <xsd:documentation>Describes the properties of an Fx barrier.</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="barrierType" type="FxBarrierTypeEnum"> <xsd:annotation> <xsd:documentation xml:lang="en"> This specifies whether the option becomes effective ("knock-in") or is annulled ("knock-out") when the respective trigger event occurs. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="quotedCurrencyPair" type="QuotedCurrencyPair"> <xsd:annotation> <xsd:documentation xml:lang="en"> Defines the two currencies for an FX trade and the quotation relationship between the two currencies. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="triggerRate" type="PositiveDecimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The market rate is observed relative to the trigger rate, and if it is found to be on the predefined side of (above or below) the trigger rate, a trigger event is deemed to have occurred. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="informationSource" type="InformationSource"> <xsd:annotation> <xsd:documentation xml:lang="en"> The information source where a published or displayed market rate will be obtained, e.g. Telerate Page 3750. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:sequence minOccurs="0"> <xsd:element minOccurs="0" name="observationStartDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> The start of the period over which observations are made to determine whether a trigger has occurred. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="observationEndDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> The end of the period over which observations are made to determine whether a trigger event has occurred. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:sequence> </xsd:complexType> <xsd:complexType name="FxBoundary"> <xsd:annotation> <xsd:documentation>Describes a precise boundary value.</xsd:documentation> </xsd:annotation> <xsd:choice> <xsd:element minOccurs="0" name="inclusive"/> <xsd:element minOccurs="0" name="exclusive"/> </xsd:choice> </xsd:complexType> <xsd:complexType name="FxDigitalAmericanExercise"> <xsd:annotation> <xsd:documentation> Descrines the characteristics for American exercise in FX digital options. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Exercise"> <xsd:sequence> <xsd:element minOccurs="0" name="commencementDate" type="AdjustableOrRelativeDate"> <xsd:annotation> <xsd:documentation> The earliest date on which the option can be exercised. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="expiryDate" type="xsd:date"> <xsd:annotation> <xsd:documentation> The latest date on which the option can be exercised. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="expiryTime" type="BusinessCenterTime"> <xsd:annotation> <xsd:documentation xml:lang="en"> Time at which the option expires on the expiry date. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="cutName" type="CutName"> <xsd:annotation> <xsd:documentation> The code by which the expiry time is known in the market. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="latestValueDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> The latest date on which both currencies traded will settle. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="FxDigitalOption"> <xsd:annotation> <xsd:documentation> Describes an option having a triggerable fixed payout. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Option"> <xsd:sequence> <xsd:element minOccurs="0" name="effectiveDate" type="AdjustableOrRelativeDate"> <xsd:annotation> <xsd:documentation xml:lang="en"> Effective date for a forward starting derivative. If this element is not present, the effective date is the trade date. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:sequence> <xsd:annotation> <xsd:documentation>Defines the parameters for option exercise.</xsd:documentation> </xsd:annotation> <xsd:choice> <xsd:sequence> <xsd:element minOccurs="0" name="americanExercise" type="FxDigitalAmericanExercise"> <xsd:annotation> <xsd:documentation> The parameters for defining the exercise period for an American style option. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="touch" type="FxTouch"> <xsd:annotation> <xsd:documentation> Defines one or more conditions underwhich the option will payout if exercisable. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:sequence> <xsd:element minOccurs="0" name="europeanExercise" type="FxEuropeanExercise"> <xsd:annotation> <xsd:documentation> The parameters for defining the exercise period for an European style option. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="trigger" type="FxTrigger"> <xsd:annotation> <xsd:documentation> Defines one or more conditions underwhich the option will payout if exercisable. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:choice> <xsd:element minOccurs="0" name="exerciseProcedure" type="ExerciseProcedure"> <xsd:annotation> <xsd:documentation> A set of parameters defining procedures associated with the exercise. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:element minOccurs="0" name="payout" type="FxOptionPayout"> <xsd:annotation> <xsd:documentation> The amount of currency which becomes payable if and when a trigger event occurs. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="premium" type="FxOptionPremium"> <xsd:annotation> <xsd:documentation> Premium amount or premium installment amount for an option. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="FxEuropeanExercise"> <xsd:annotation> <xsd:documentation> Describes the characteristics for European exercise of FX products. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Exercise"> <xsd:sequence> <xsd:element minOccurs="0" name="expiryDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> Represents a standard expiry date as defined for an FX OTC option. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="expiryTime" type="BusinessCenterTime"> <xsd:annotation> <xsd:documentation xml:lang="en"> Time at which the option expires on the expiry date. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="cutName" type="CutName"> <xsd:annotation> <xsd:documentation> The code by which the expiry time is known in the market. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="valueDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> The date on which both currencies traded will settle. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="FxMultipleExercise"> <xsd:annotation> <xsd:documentation> Describes the limits on the size of notional when multiple exercise is allowed. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="minimumNotionalAmount" type="NonNegativeMoney"> <xsd:annotation> <xsd:documentation> The minimum amount of notional that can be exercised. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="maximumNotionalAmount" type="NonNegativeMoney"> <xsd:annotation> <xsd:documentation> The maximum amount of notiional that can be exercised. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="FxOption"> <xsd:annotation> <xsd:documentation> Describes an FX option with optional asian and barrier features. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Option"> <xsd:sequence> <xsd:element minOccurs="0" name="effectiveDate" type="AdjustableOrRelativeDate"> <xsd:annotation> <xsd:documentation xml:lang="en"> Effective date for a forward starting derivative. If this element is not present, the effective date is the trade date. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:sequence> <xsd:annotation> <xsd:documentation>Defines the parameters for option exercise.</xsd:documentation> </xsd:annotation> <xsd:choice> <xsd:element minOccurs="0" name="americanExercise" type="FxAmericanExercise"> <xsd:annotation> <xsd:documentation> The parameters for defining the exercise period for an American style option. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="europeanExercise" type="FxEuropeanExercise"> <xsd:annotation> <xsd:documentation> The parameters for defining the exercise period for an European style option. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> <xsd:element minOccurs="0" name="exerciseProcedure" type="ExerciseProcedure"> <xsd:annotation> <xsd:documentation> A set of parameters defining procedures associated with the exercise. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:sequence> <xsd:annotation> <xsd:documentation>Defines the underlying FX transaction.</xsd:documentation> </xsd:annotation> <xsd:element minOccurs="0" name="putCurrencyAmount" type="NonNegativeMoney"> <xsd:annotation> <xsd:documentation> The currency amount that the option gives the right to sell. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="callCurrencyAmount" type="NonNegativeMoney"> <xsd:annotation> <xsd:documentation> The currency amount that the option gives the right to buy. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:element minOccurs="0" name="soldAs" type="PutCallEnum"> <xsd:annotation> <xsd:documentation> Indicates how the product was original sold as a Put or a Call. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:sequence> <xsd:element minOccurs="0" name="strike" type="FxStrikePrice"> <xsd:annotation> <xsd:documentation>Defines the option strike price.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="spotRate" type="PositiveDecimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> An optional element used for FX forwards and certain types of FX OTC options. For deals consumated in the FX Forwards Market, this represents the current market rate for a particular currency pair. For barrier and digital/binary options, it can be useful to include the spot rate at the time the option was executed to make it easier to know whether the option needs to move "up" or "down" to be triggered. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:element minOccurs="0" name="features" type="FxOptionFeatures"> <xsd:annotation> <xsd:documentation>Describes additional features within the option.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="premium" type="FxOptionPremium"> <xsd:annotation> <xsd:documentation> Premium amount or premium installment amount for an option. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="cashSettlement" type="FxCashSettlement"> <xsd:annotation> <xsd:documentation> Specifies the currency and fixing details for cash settlement. This optional element is produced only where it has been specified at execution time that the option wlll be settled into a single cash payment - for example, in the case of a non-deliverable option (although note that an Fx option may be contractually cash settled, without necessarily being non-deliverable). </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="FxOptionFeatures"> <xsd:annotation> <xsd:documentation> A type describing the features that may be present in an FX option. </xsd:documentation> </xsd:annotation> <xsd:choice> <xsd:sequence> <xsd:element name="asian" type="FxAsianFeature"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="barrier" type="FxBarrierFeature"/> </xsd:sequence> <xsd:element maxOccurs="unbounded" name="barrier" type="FxBarrierFeature"/> </xsd:choice> </xsd:complexType> <xsd:complexType name="FxOptionPayout"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type that contains full details of a predefined fixed payout which may occur (or not) in a Barrier Option or Digital Option when a trigger event occurs (or not). </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="NonNegativeMoney"> <xsd:sequence> <xsd:element minOccurs="0" name="payoutStyle" type="PayoutEnum"> <xsd:annotation> <xsd:documentation xml:lang="en"> The trigger event and payout may be asynchonous. A payout may become due on the trigger event, or the payout may (by agreeement at initiation) be deferred (for example) to the maturity date. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="settlementInformation" type="SettlementInformation"> <xsd:annotation> <xsd:documentation xml:lang="en"> The information required to settle a currency payment that results from a trade. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="FxOptionPremium"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type that specifies the premium exchanged for a single option trade or option strategy. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="NonNegativePayment"> <xsd:sequence> <xsd:element minOccurs="0" name="settlementInformation" type="SettlementInformation"> <xsd:annotation> <xsd:documentation xml:lang="en"> The information required to settle a currency payment that results from a trade. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="quote" type="PremiumQuote"> <xsd:annotation> <xsd:documentation xml:lang="en"> This is the option premium as quoted. It is expected to be consistent with the premiumAmount and is for information only. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="FxSingleLeg"> <xsd:annotation> <xsd:documentation> A type defining either a spot or forward FX transactions. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Product"> <xsd:sequence> <xsd:group ref="FxCoreDetails.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="FxStrikePrice"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type that describes the rate of exchange at which the option has been struck. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="rate" type="PositiveDecimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The rate of exchange between the two currencies of the leg of a deal. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="strikeQuoteBasis" type="StrikeQuoteBasisEnum"> <xsd:annotation> <xsd:documentation xml:lang="en">The method by which the strike rate is quoted.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="FxSwap"> <xsd:annotation> <xsd:documentation> A type defining either a spot/forward or forward/forward FX swap transaction. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Product"> <xsd:sequence> <xsd:element minOccurs="0" name="nearLeg" type="FxSwapLeg"> <xsd:annotation> <xsd:documentation>The FX transaction with the earliest value date.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="farLeg" type="FxSwapLeg"> <xsd:annotation> <xsd:documentation>The FX transaction with the latest value date.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="FxSwapLeg"> <xsd:complexContent> <xsd:extension base="Leg"> <xsd:annotation> <xsd:documentation> A type defining the details for one of the transactions in an FX swap. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:group ref="FxCoreDetails.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="FxTouch"> <xsd:annotation> <xsd:documentation>Describes an FX touch condition.</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="touchCondition" type="TouchConditionEnum"> <xsd:annotation> <xsd:documentation> The binary condition that applies to an American-style trigger. There can only be two domain values for this element: "touch" or "no touch". </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="quotedCurrencyPair" type="QuotedCurrencyPair"> <xsd:annotation> <xsd:documentation xml:lang="en"> Defines the two currencies for an FX trade and the quotation relationship between the two currencies. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="triggerRate" type="PositiveDecimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The market rate is observed relative to the trigger rate, and if it is found to be on the predefined side of (above or below) the trigger rate, a trigger event is deemed to have occurred. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="spotRate" type="PositiveDecimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> An optional element used for FX forwards and certain types of FX OTC options. For deals consumated in the FX Forwards Market, this represents the current market rate for a particular currency pair. For barrier and digital/binary options, it can be useful to include the spot rate at the time the option was executed to make it easier to know whether the option needs to move "up" or "down" to be triggered. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="informationSource" type="InformationSource"> <xsd:annotation> <xsd:documentation xml:lang="en"> The information source where a published or displayed market rate will be obtained, e.g. Telerate Page 3750. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:sequence minOccurs="0"> <xsd:element minOccurs="0" name="observationStartDate" type="xsd:date"> <xsd:annotation> <xsd:documentation> The start of the period over which observations are made to determine whether a trigger has occurred. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="observationEndDate" type="xsd:date"> <xsd:annotation> <xsd:documentation> The end of the period over which observations are made to determine whether a trigger event has occurred. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:sequence> </xsd:complexType> <xsd:complexType name="FxTrigger"> <xsd:annotation> <xsd:documentation>Describes an FX trigger condition.</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="triggerCondition" type="TriggerConditionEnum"> <xsd:annotation> <xsd:documentation xml:lang="en"> The condition that applies to a European-style trigger. It determines where the rate at expiry date and time at must be relative to the triggerRate for the option to be exercisable. The allowed values are "Above" and "Below". </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="quotedCurrencyPair" type="QuotedCurrencyPair"> <xsd:annotation> <xsd:documentation xml:lang="en"> Defines the two currencies for an FX trade and the quotation relationship between the two currencies. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="triggerRate" type="PositiveDecimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The market rate is observed relative to the trigger rate, and if it is found to be on the predefined side of (above or below) the trigger rate, a trigger event is deemed to have occurred. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="spotRate" type="PositiveDecimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> An optional element used for FX forwards and certain types of FX OTC options. For deals consumated in the FX Forwards Market, this represents the current market rate for a particular currency pair. For barrier and digital/binary options, it can be useful to include the spot rate at the time the option was executed to make it easier to know whether the option needs to move "up" or "down" to be triggered. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="informationSource" type="InformationSource"> <xsd:annotation> <xsd:documentation xml:lang="en"> The information source where a published or displayed market rate will be obtained, e.g. Telerate Page 3750. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="LowerBound"> <xsd:choice> <xsd:element minOccurs="0" name="minimumInclusive" type="PositiveDecimal"/> <xsd:element minOccurs="0" name="minimumExclusive" type="PositiveDecimal"/> </xsd:choice> </xsd:complexType> <xsd:complexType name="MoneyReference"> <xsd:annotation> <xsd:documentation>References a Money instance.</xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Reference"> <xsd:attribute name="href" type="xsd:IDREF"/> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="ObservationSchedule"> <xsd:sequence> <xsd:element minOccurs="0" name="startDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> The start of the period over which observations are made to determine whether a condition has occurred. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="endDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> The end of the period over which observations are made to determine whether a condition has occurred. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="observationPeriodFrequency" type="Frequency"> <xsd:annotation> <xsd:documentation>Describes how often observations are made.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="PremiumQuote"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type that describes the option premium as quoted. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="value" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The value of the premium quote. In general this will be either a percentage or an explicit amount. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="quoteBasis" type="PremiumQuoteBasisEnum"> <xsd:annotation> <xsd:documentation xml:lang="en"> The method by which the option premium was quoted. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="TenorPeriod"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining a tenor Period, e.g. one day, three months, Spot. </xsd:documentation> </xsd:annotation> <xsd:choice> <xsd:sequence> <xsd:element minOccurs="0" name="periodMultiplier" type="xsd:nonNegativeInteger"> <xsd:annotation> <xsd:documentation xml:lang="en">A time period multiplier, e.g. 1, 2 or 3 etc.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="period" type="PeriodEnum"> <xsd:annotation> <xsd:documentation xml:lang="en"> A time period, e.g. D(ay), W(week), M(onth), Y(ear). </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:element minOccurs="0" name="fxTenorPeriod" type="FxTenorPeriodEnum"> <xsd:annotation> <xsd:documentation xml:lang="en">A time period, e.g. Spot, Today.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <xsd:complexType name="TermDeposit"> <xsd:annotation> <xsd:documentation xml:lang="en"> A class defining the content model for a term deposit product. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Product"> <xsd:sequence> <xsd:group ref="PayerReceiver.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> A pointer style reference to a servicingParty or accountBeneficiary identifier defined elsewhere in the document. The payer party (depositor) is paying the initial principal for the term deposit on the start date from a contractual point of view. The receiver party (deposit taker) is a receiver of the initial principal of the deposit on the start date. </xsd:documentation> </xsd:annotation> </xsd:group> <xsd:element minOccurs="0" name="startDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en">The start date of the calculation period.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="maturityDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> The end date of the calculation period. This date should already be adjusted for any applicable business day convention. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="principal" type="PositiveMoney"> <xsd:annotation> <xsd:documentation xml:lang="en">The principal amount of the trade.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="fixedRate" type="PositiveDecimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The calculation period fixed rate. A per annum rate, expressed as a decimal. A fixed rate of 5% would be represented as 0.05. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="dayCountFraction" type="DayCountFraction"> <xsd:annotation> <xsd:documentation xml:lang="en">The day count fraction.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="features" type="TermDepositFeatures"> <xsd:annotation> <xsd:documentation> An optional container that hold additional features of the deposit (e.g. Dual Currency feature). </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="interest" type="Money"> <xsd:annotation> <xsd:documentation xml:lang="en">The total interest of at maturity of the trade.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="payment" type="Payment"> <xsd:annotation> <xsd:documentation xml:lang="en">A known payment between two parties.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="TermDepositFeatures"> <xsd:sequence> <xsd:element minOccurs="0" name="dualCurrency" type="DualCurrencyFeature"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="UpperBound"> <xsd:choice> <xsd:element minOccurs="0" name="maximumInclusive" type="PositiveDecimal"/> <xsd:element minOccurs="0" name="maximumExclusive" type="PositiveDecimal"/> </xsd:choice> </xsd:complexType> <xsd:group name="FxRateObservation.model"> <xsd:annotation> <xsd:documentation>The elements common to FX rate observation.</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="rateObservation" type="FxAverageRateObservation"> <xsd:annotation> <xsd:documentation xml:lang="en">One or more specific rate observation dates.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="rateObservationQuoteBasis" type="StrikeQuoteBasisEnum"> <xsd:annotation> <xsd:documentation> The method by which observed rate values are quoted, in terms of the option put/call currencies. In the absence of this element, rate observations are assumed to be quoted as per the option strikeQuoteBasis. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:group> <xsd:group name="FxCoreDetails.model"> <xsd:annotation> <xsd:documentation> The elements common to FX spot, forward and swap legs. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="exchangedCurrency1" type="Payment"> <xsd:annotation> <xsd:documentation xml:lang="en"> This is the first of the two currency flows that define a single leg of a standard foreign exchange transaction. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="exchangedCurrency2" type="Payment"> <xsd:annotation> <xsd:documentation xml:lang="en"> This is the second of the two currency flows that define a single leg of a standard foreign exchange transaction. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="dealtCurrency" type="DealtCurrencyEnum"> <xsd:annotation> <xsd:documentation>Indicates which currency was dealt.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:choice> <xsd:element minOccurs="0" name="valueDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> The date on which both currencies traded will settle. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:sequence> <xsd:element minOccurs="0" name="currency1ValueDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> The date on which the currency1 amount will be settled. To be used in a split value date scenario. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="currency2ValueDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> The date on which the currency2 amount will be settled. To be used in a split value date scenario. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:choice> <xsd:element minOccurs="0" name="tenorPeriod" type="TenorPeriod"> <xsd:annotation> <xsd:documentation> Denotes the tenor on which both currencies traded will settle. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="exchangeRate" type="ExchangeRate"> <xsd:annotation> <xsd:documentation>The rate of exchange between the two currencies.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="nonDeliverableSettlement" type="FxCashSettlement"> <xsd:annotation> <xsd:documentation xml:lang="en"> Used to describe a particular type of FX forward transaction that is settled in a single currency (for example, a non-deliverable forward). </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:group> <xsd:element name="fxSingleLeg" substitutionGroup="product" type="FxSingleLeg"> <xsd:annotation> <xsd:documentation xml:lang="en"> A simple FX spot or forward transaction definition. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="fxSwap" substitutionGroup="product" type="FxSwap"> <xsd:annotation> <xsd:documentation xml:lang="en">An FX Swap transaction definition.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="fxOption" substitutionGroup="product" type="FxOption"> <xsd:annotation> <xsd:documentation>An FX option transaction definition.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="fxDigitalOption" substitutionGroup="product" type="FxDigitalOption"> <xsd:annotation> <xsd:documentation>An FX digital option transaction definition.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="termDeposit" substitutionGroup="product" type="TermDeposit"> <xsd:annotation> <xsd:documentation xml:lang="en">A term deposit product definition.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:schema>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.